> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--response-center/mutations/update-incident-severity.md).

# updateIncidentSeverity

Change an incident severity (re-derives the SLA target).

### Examples

{% tabs %}
{% tab title="GraphQL" %}

```graphql
mutation UpdateIncidentSeverity($incidentId: String!, $severity: String!) {
  updateIncidentSeverity(incidentId: $incidentId, severity: $severity) {
    id
    caseId
    name
    description
    type
    severity
    status
    blockedReason
    owner
    creator
    slaTargetAt
    settings {
      allowManualClosure
      autoCloseWhenResolved
      cleanDaysBeforeClose
      autoReopenOnNewHit
      watchWindowDays
    }
    isOxDeclared
    autoExpandFromSource
    externalReferences
    sourcePublishedAt
    counts {
      affectedApps
      affectedRepos
      affectedImages
      openFindings
      resolvedFindings
      sbomMatches
      pipelineHits
      clearedMatches
      blockedItems
      cloudAccounts
      cloudRunningImages
      cloudRunningThisVersionImages
      openFindingsBySeverity {
        appoxalypse
        critical
        high
        medium
        low
      }
    }
    exposureState
    currentSeverity
    isMonitoring
    affectedResourceCount
    summary {
      title
      bullets
      lines {
        segments {
          text
          emphasis
        }
      }
    }
    aiSummary {
      bullets
      generatedAt
      model
    }
    indicatorCounts {
      cve
      package
      packageRange
      image
      issue
      advisorySource
    }
    countsAsOf
    lastMatchedAt
    lastExposureChange
    resolvedAt
    createdAt
    updatedAt
    indicators {
      id
      incidentId
      kind
      value
      versionRange
      fixedVersions
      isCompromised
      severity
      cvssScore
      addedAt
      source
      addedBy
      status
      url
      lastFetchedAt
      autoExpand
      matchState
      activeMatchCount
    }
  }
}
```

#### Variables

This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.

```json
{
  "incidentId": "example",
  "severity": "2"
}
```

{% endtab %}

{% tab title="cURL" %}

```shell
curl -X POST \
https://api.cloud.ox.security/api/apollo-gateway \
-H 'Content-Type: application/json' \
-H 'Authorization: YOUR_API_TOKEN' \
-d '{
 "query": "mutation UpdateIncidentSeverity($incidentId: String!, $severity: String!) { updateIncidentSeverity(incidentId: $incidentId, severity: $severity) { id caseId name description type severity status blockedReason owner creator slaTargetAt settings { allowManualClosure autoCloseWhenResolved cleanDaysBeforeClose autoReopenOnNewHit watchWindowDays } isOxDeclared autoExpandFromSource externalReferences sourcePublishedAt counts { affectedApps affectedRepos affectedImages openFindings resolvedFindings sbomMatches pipelineHits clearedMatches blockedItems cloudAccounts cloudRunningImages cloudRunningThisVersionImages openFindingsBySeverity { appoxalypse critical high medium low } } exposureState currentSeverity isMonitoring affectedResourceCount summary { title bullets lines { segments { text emphasis } } } aiSummary { bullets generatedAt model } indicatorCounts { cve package packageRange image issue advisorySource } countsAsOf lastMatchedAt lastExposureChange resolvedAt createdAt updatedAt indicators { id incidentId kind value versionRange fixedVersions isCompromised severity cvssScore addedAt source addedBy status url lastFetchedAt autoExpand matchState activeMatchCount } } }",
 "variables": {
    "incidentId": "example",
    "severity": "2"
  }
}'
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const query = 'mutation UpdateIncidentSeverity($incidentId: String!, $severity: String!) { updateIncidentSeverity(incidentId: $incidentId, severity: $severity) { id caseId name description type severity status blockedReason owner creator slaTargetAt settings { allowManualClosure autoCloseWhenResolved cleanDaysBeforeClose autoReopenOnNewHit watchWindowDays } isOxDeclared autoExpandFromSource externalReferences sourcePublishedAt counts { affectedApps affectedRepos affectedImages openFindings resolvedFindings sbomMatches pipelineHits clearedMatches blockedItems cloudAccounts cloudRunningImages cloudRunningThisVersionImages openFindingsBySeverity { appoxalypse critical high medium low } } exposureState currentSeverity isMonitoring affectedResourceCount summary { title bullets lines { segments { text emphasis } } } aiSummary { bullets generatedAt model } indicatorCounts { cve package packageRange image issue advisorySource } countsAsOf lastMatchedAt lastExposureChange resolvedAt createdAt updatedAt indicators { id incidentId kind value versionRange fixedVersions isCompromised severity cvssScore addedAt source addedBy status url lastFetchedAt autoExpand matchState activeMatchCount } } }';

fetch("https://api.cloud.ox.security/api/apollo-gateway", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  body: JSON.stringify({
    query: query,
    // This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    variables: {
      incidentId: "example",
      severity: "2"
    }
  })
})
.then(response => response.json())
.then(result => console.log(JSON.stringify(result, null, 2)))
.catch(error => console.error('Error:', error));
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

query = 'mutation UpdateIncidentSeverity($incidentId: String!, $severity: String!) { updateIncidentSeverity(incidentId: $incidentId, severity: $severity) { id caseId name description type severity status blockedReason owner creator slaTargetAt settings { allowManualClosure autoCloseWhenResolved cleanDaysBeforeClose autoReopenOnNewHit watchWindowDays } isOxDeclared autoExpandFromSource externalReferences sourcePublishedAt counts { affectedApps affectedRepos affectedImages openFindings resolvedFindings sbomMatches pipelineHits clearedMatches blockedItems cloudAccounts cloudRunningImages cloudRunningThisVersionImages openFindingsBySeverity { appoxalypse critical high medium low } } exposureState currentSeverity isMonitoring affectedResourceCount summary { title bullets lines { segments { text emphasis } } } aiSummary { bullets generatedAt model } indicatorCounts { cve package packageRange image issue advisorySource } countsAsOf lastMatchedAt lastExposureChange resolvedAt createdAt updatedAt indicators { id incidentId kind value versionRange fixedVersions isCompromised severity cvssScore addedAt source addedBy status url lastFetchedAt autoExpand matchState activeMatchCount } } }'

response = requests.post(
  "https://api.cloud.ox.security/api/apollo-gateway",
  headers={
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  json={
    "query": query,
    # This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    "variables": {
      "incidentId": "example",
      "severity": "2"
    }
  }
)

if response.status_code == 200:
    result = response.json()
    print(result)
else:
    print(f"Error: {response.status_code}")
    print(response.text)
```

{% endtab %}
{% endtabs %}

### Arguments

You can use the following argument(s) to customize your `updateIncidentSeverity` mutation.

| Argument                                                                           | Description | Supported fields |
| ---------------------------------------------------------------------------------- | ----------- | ---------------- |
| incidentId `String!` <mark style="color:red;background-color:red;">required</mark> |             |                  |
| severity `String!` <mark style="color:red;background-color:red;">required</mark>   |             |                  |

### Fields

Return type: [`Incident!`](/api-documentation/api-reference/api--response-center/types/objects/incident.md)

You can use the following field(s) to specify what information your `updateIncidentSeverity` mutation will return. Please note that some fields may have their own subfields.

| Field                                                                                                                                         | Description | Supported fields                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| --------------------------------------------------------------------------------------------------------------------------------------------- | ----------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| id `String!`                                                                                                                                  |             |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| caseId `String!`                                                                                                                              |             |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| name `String!`                                                                                                                                |             |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| description `String`                                                                                                                          |             |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| type [`IncidentType!`](/api-documentation/api-reference/api--response-center/types/enums/incident-type.md)                                    |             |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| severity [`IncidentSeverity!`](/api-documentation/api-reference/api--response-center/types/enums/incident-severity.md)                        |             |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| status [`IncidentStatus!`](/api-documentation/api-reference/api--response-center/types/enums/incident-status.md)                              |             |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| blockedReason `String`                                                                                                                        |             |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| owner `String`                                                                                                                                |             |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| creator `String!`                                                                                                                             |             |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| slaTargetAt `DateTime`                                                                                                                        |             |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| settings [`IncidentSettings!`](/api-documentation/api-reference/api--response-center/types/objects/incident-settings.md)                      |             | <p>allowManualClosure <code>Boolean!</code><br>autoCloseWhenResolved <code>Boolean!</code><br>cleanDaysBeforeClose <code>Int!</code><br>autoReopenOnNewHit <code>Boolean!</code><br>watchWindowDays <code>Int!</code></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| isOxDeclared `Boolean!`                                                                                                                       |             |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| autoExpandFromSource `Boolean!`                                                                                                               |             |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| externalReferences `[String!]!`                                                                                                               |             |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| sourcePublishedAt `DateTime`                                                                                                                  |             |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| counts [`IncidentCounts!`](/api-documentation/api-reference/api--response-center/types/objects/incident-counts.md)                            |             | <p>affectedApps <code>Int!</code><br>affectedRepos <code>Int!</code><br>affectedImages <code>Int!</code><br>openFindings <code>Int!</code><br>resolvedFindings <code>Int!</code><br>sbomMatches <code>Int!</code><br>pipelineHits <code>Int!</code><br>clearedMatches <code>Int!</code><br>blockedItems <code>Int!</code><br>cloudAccounts <code>Int!</code><br>cloudRunningImages <code>Int!</code><br>cloudRunningThisVersionImages <code>Int!</code><br>openFindingsBySeverity <a href="/pages/JMrNDHyY34tBVqBlfkaS"><code>IncidentSeverityCounts!</code></a></p>                                                                                                                                                                                                                    |
| exposureState [`ExposureState`](/api-documentation/api-reference/api--response-center/types/enums/exposure-state.md)                          |             |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| currentSeverity [`IncidentSeverity`](/api-documentation/api-reference/api--response-center/types/enums/incident-severity.md)                  |             |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| isMonitoring `Boolean!`                                                                                                                       |             |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| affectedResourceCount `Int!`                                                                                                                  |             |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| summary [`[IncidentSummarySection!]!`](/api-documentation/api-reference/api--response-center/types/objects/incident-summary-section.md)       |             | <p>title <code>String!</code><br>bullets <code>\[String!]!</code><br>lines <a href="/pages/ATQzbLrwvPzMprRcO5Yd"><code>\[IncidentSummaryLine!]!</code></a></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| aiSummary [`IncidentAiSummary`](/api-documentation/api-reference/api--response-center/types/objects/incident-ai-summary.md)                   |             | <p>bullets <code>\[String!]!</code><br>generatedAt <code>DateTime</code><br>model <code>String</code></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| indicatorCounts [`IncidentIndicatorCounts`](/api-documentation/api-reference/api--response-center/types/objects/incident-indicator-counts.md) |             | <p>cve <code>Int!</code><br>package <code>Int!</code><br>packageRange <code>Int!</code><br>image <code>Int!</code><br>issue <code>Int!</code><br>advisorySource <code>Int!</code></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| countsAsOf `DateTime`                                                                                                                         |             |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| lastMatchedAt `DateTime`                                                                                                                      |             |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| lastExposureChange `DateTime`                                                                                                                 |             |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| resolvedAt `DateTime`                                                                                                                         |             |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| createdAt `DateTime`                                                                                                                          |             |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| updatedAt `DateTime`                                                                                                                          |             |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| indicators [`[Indicator!]`](/api-documentation/api-reference/api--response-center/types/objects/indicator.md)                                 |             | <p>id <code>String!</code><br>incidentId <code>String!</code><br>kind <a href="/pages/h2nrEA2141Z4pp4WKVPY"><code>IndicatorKind!</code></a><br>value <code>String!</code><br>versionRange <code>String</code><br>fixedVersions <code>\[String!]!</code><br>isCompromised <code>Boolean</code><br>severity <a href="/pages/CSXZmUIYQcTfIZIInSIK"><code>IncidentSeverity</code></a><br>cvssScore <code>Float</code><br>addedAt <code>DateTime!</code><br>source <code>String!</code><br>addedBy <code>String</code><br>status <code>String!</code><br>url <code>String</code><br>lastFetchedAt <code>DateTime</code><br>autoExpand <code>Boolean</code><br>matchState <a href="/pages/OFsAdxkNXjYgoPj9X0Xo"><code>IndicatorMatchState</code></a><br>activeMatchCount <code>Int</code></p> |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--response-center/mutations/update-incident-severity.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
